VIPW(8)

NOM
vipw, vigr - Éditer les fichiers passwd, group, shadow ou gshadow

SYNOPSIS

vipw [options]

vigr [options]

DESCRIPTION

vipw et vigr permettent de modifier les fichiers /etc/passwd et /etc/group, respectivement. Avec l'option -s, ils permettent d'éditer les versions cachées de ces fichiers : /etc/shadow et /etc/gshadow, respectivement. Ces programmes placent les verrous nécessaires afin d'éviter toute corruption des fichiers. L'éditeur utilisé est choisi d'abord en fonction de la variable d'environnement $VISUAL, puis de la variable d'environnement $EDITOR. À défaut, l'éditeur, vi(1) est utilisé quand ces variables ne sont pas définies.

OPTIONS

Les options applicables aux commandes vipw et vigr sont :

-g, --group
    Éditer la base de données de groupes.

-h, --help
    Afficher un message d'aide et quitter.

-p, --passwd
    Éditer la base de données passwd.

-q, --quiet
    Mode silencieux.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-s, --shadow
    Éditer les bases de données shadow ou gshadow.

ENVIRONNEMENT

VISUAL
    L'éditeur à utiliser

EDITOR
    L'éditeur à utiliser si VISUAL n'est pas définie.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VOIR AUSSI

vi(1), group(5), gshadow(5), passwd(5), , shadow(5).